Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeBitmapProxy Class Reference

`#include <deBitmap.hpp>`

Inheritance diagram for IdeBitmapProxy:

[legend]
Collaboration diagram for IdeBitmapProxy:

[legend]
List of all members.

## Public Member Functions
virtual void | SetBitmap (IdeBitmap *bmp)=0
| give the proxy object a bitmap to work with
virtual IdeBitmap * | GetBitmap ()=0
| retrieve the bitmap that the proxy holds
virtual void | SetFilename (const char *filename)=0
| give the proxy object a bitmap filename to reference
virtual void | SettingSavePixels (deBoolean Save)=0
| save the bitmap pixels to a file
virtual const char * | GetFilename ()=0
| get the filename of the bitmap held by the proxy, if it has one
virtual void | GetFilenameBuffer (char *buffer, long buffersize)=0
virtual long | GetWidth ()=0
virtual long | GetHeight ()=0
virtual IdeDriver::BPP | GetFormat ()=0
## Protected Member Functions
virtual | ~IdeBitmapProxy ()

## Detailed Description

Proxy class for storing bitmaps as DWorld objects. Related functions: IdeBitmap_CreateProxy, IdeBitmapProxy_GetWOInterfaceID

## Constructor & Destructor Documentation

virtual IdeBitmapProxy::~IdeBitmapProxy | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual IdeBitmap* IdeBitmapProxy::GetBitmap | ( |  | ) | `[pure virtual]`

| retrieve the bitmap that the proxy holds Implemented in deBitmapProxy.

virtual const char* IdeBitmapProxy::GetFilename | ( |  | ) | `[pure virtual]`

| get the filename of the bitmap held by the proxy, if it has one Implemented in deBitmapProxy.

virtual void IdeBitmapProxy::GetFilenameBuffer | ( | char * | buffer,
|  | long | buffersize
| ) | `[pure virtual]`

| Implemented in deBitmapProxy.

virtual IdeDriver::BPP IdeBitmapProxy::GetFormat | ( |  | ) | `[pure virtual]`

| Implemented in deBitmapProxy.

virtual long IdeBitmapProxy::GetHeight | ( |  | ) | `[pure virtual]`

| Implemented in deBitmapProxy.

virtual long IdeBitmapProxy::GetWidth | ( |  | ) | `[pure virtual]`

| Implemented in deBitmapProxy.

virtual void IdeBitmapProxy::SetBitmap | ( | IdeBitmap * | bmp | ) | `[pure virtual]`

| give the proxy object a bitmap to work with Implemented in deBitmapProxy.

virtual void IdeBitmapProxy::SetFilename | ( | const char * | filename | ) | `[pure virtual]`

| give the proxy object a bitmap filename to reference Implemented in deBitmapProxy.

virtual void IdeBitmapProxy::SettingSavePixels | ( | deBoolean | Save | ) | `[pure virtual]`

| save the bitmap pixels to a file Implemented in deBitmapProxy.

The documentation for this class was generated from the following file:

- deBitmap.hpp